@font-face {
    font-family: "Roboto";
    src: url("roboto.ttf");
}

*, *::before, *::after {
    box-sizing: border-box;
}

html, body {
    min-height: 100vh;

    margin: 0;
    padding: 0;
}

body {
    max-width: 800px;

    margin: auto;

    font-family: "Roboto", sans-serif;
}

header {
    display: grid;

    place-items: center;

    max-width: 600px;
    min-height: 100px;

    margin: auto;
    padding: 20px;
}

header h1 {
    margin: 0;
    padding: 0;
}

main {
    max-width: 800px;
    min-height: 200px;

    margin: auto;
    padding: 15px;
}

main section {
    padding: 10px;
    margin: 0;
}

main > section:not(:first-child) {
    padding-top: 10px;
}

main > section:not(:last-child) {
    padding-bottom: 10px;
}

main section p {
    margin: 0;
    padding: 10px;
}

main h2 {
    margin: 0;
    padding: 0;
}

main h3 {
    margin: 0;
    padding: 0;
}

main h3 span {
    float: right;

    font-weight: normal;
    font-size: inherit;

    margin: 0;
    padding: 0;
}

main h4 {
    font-weight: normal;
    font-style: italic;

    margin: 0;
    padding: 0;
}

main h4 span {
    float: right;

    font-style: normal;
    font-size: inherit;

    margin: 0;
    padding : 0;
}

main ul {
    margin: 0;
    padding: 10px;
    
    list-style-position: inside;
}

main ul li {
    margin: 0;
    padding: 0;
}

footer {
    display: grid;
    place-items: center;

    max-width: 800px;
    min-height: 50px;

    margin: auto;
    padding: 20px;
}

header ul, footer ul {
    list-style-type: none;

    white-space: nowrap;

    margin: 0;
    padding: 0;
}

header ul li, footer ul li {
    display: inline;

    margin: 0;
    padding: 0;

    user-select: none;
}

header ul li:not(:first-child)::before, footer ul li:not(:first-child)::before {
    content: " | ";
}

a {
    color: #000000;

    text-decoration: none;
}

a:visited {
    color: #000000;
}

a:hover {
    color: #000000;

    text-decoration: none;
}

header ul li a, footer ul li a {
    color: #000000;

    text-decoration: none;
}

header ul li a:visited, footer ul li a:visited {
    color: #000000;
}

header ul li a:hover, footer ul li a:hover {
    color: #000000;

    text-decoration: underline;
}

header ul li:focus, footer ul li:focus {
    color: #000000;

    outline: none;
}